> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a batch of numbers

> Creates a new background job to update a batch of numbers. At most one thousand numbers can be updated per API call. At least one of the updateable fields must be submitted. IMPORTANT: You must either specify filters (using the filter parameters) or specific phone numbers (using the phone_numbers parameter in the request body). If you specify filters, ALL phone numbers that match the given filters (up to 1000 at a time) will be updated. If you want to update only specific numbers, you must use the phone_numbers parameter in the request body. When using the phone_numbers parameter, ensure you follow the correct format as shown in the example (either phone number IDs or phone numbers in E164 format).



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/management-config.yml post /phone_numbers/jobs/update_phone_numbers
openapi: 3.1.0
info:
  title: Telnyx Phone Number Management API
  version: 2.0.0
  description: API for managing and configuring phone numbers.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /phone_numbers/jobs/update_phone_numbers:
    post:
      tags:
        - Bulk Phone Number Operations
      summary: Update a batch of numbers
      description: >-
        Creates a new background job to update a batch of numbers. At most one
        thousand numbers can be updated per API call. At least one of the
        updateable fields must be submitted. IMPORTANT: You must either specify
        filters (using the filter parameters) or specific phone numbers (using
        the phone_numbers parameter in the request body). If you specify
        filters, ALL phone numbers that match the given filters (up to 1000 at a
        time) will be updated. If you want to update only specific numbers, you
        must use the phone_numbers parameter in the request body. When using the
        phone_numbers parameter, ensure you follow the correct format as shown
        in the example (either phone number IDs or phone numbers in E164
        format).
      operationId: CreateUpdatePhoneNumbersJob
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[has_bundle], filter[tag], filter[connection_id],
            filter[phone_number], filter[status], filter[voice.connection_name],
            filter[voice.usage_payment_method], filter[billing_group_id],
            filter[emergency_address_id], filter[customer_reference]
          schema:
            type: object
            properties:
              has_bundle:
                type: string
                description: Filter by phone number that have bundles.
              tag:
                type: string
                description: Filter by phone number tags.
              connection_id:
                type: string
                example: '1521916448077776306'
                description: Filter by connection_id.
              phone_number:
                type: string
                description: |-
                  Filter by phone number. Requires at least three digits.
                               Non-numerical characters will result in no values being returned.
              status:
                type: string
                enum:
                  - purchase-pending
                  - purchase-failed
                  - port-pending
                  - active
                  - deleted
                  - port-failed
                  - emergency-only
                  - ported-out
                  - port-out-pending
                example: active
                description: Filter by phone number status.
              voice.connection_name:
                type: object
                description: Filter by voice connection name pattern matching.
                properties:
                  contains:
                    type: string
                    example: test
                    description: >-
                      Filter contains connection name. Requires at least three
                      characters.
                  starts_with:
                    type: string
                    example: test
                    description: >-
                      Filter starts with connection name. Requires at least
                      three characters.
                  ends_with:
                    type: string
                    example: test
                    description: >-
                      Filter ends with connection name. Requires at least three
                      characters.
                  eq:
                    type: string
                    example: test
                    description: Filter by connection name.
                additionalProperties: false
              voice.usage_payment_method:
                type: string
                enum:
                  - pay-per-minute
                  - channel
                example: channel
                description: Filter by usage_payment_method.
              billing_group_id:
                type: string
                example: 62e4bf2e-c278-4282-b524-488d9c9c43b2
                description: >-
                  Filter by the billing_group_id associated with phone numbers.
                  To filter to only phone numbers that have no billing group
                  associated them, set the value of this filter to the string
                  'null'.
              emergency_address_id:
                type: string
                example: '9102160989215728032'
                description: >-
                  Filter by the emergency_address_id associated with phone
                  numbers. To filter only phone numbers that have no emergency
                  address associated with them, set the value of this filter to
                  the string 'null'.
              customer_reference:
                type: string
                description: Filter numbers via the customer_reference set.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneNumbersJobUpdatePhoneNumbersRequest'
      responses:
        '202':
          description: Phone numbers job update phone numbers requested.
          content:
            application/json:
              schema:
                type: object
                title: Phone Numbers Job Update Phone Numbers
                properties:
                  data:
                    $ref: '#/components/schemas/PhoneNumbersJob'
        '400':
          $ref: '#/components/responses/numbers_BadRequestResponse'
        '401':
          $ref: '#/components/responses/numbers_UnauthorizedResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/numbers_Errors'
              examples:
                Not authorized:
                  $ref: '#/components/examples/NotAuthorized'
                Billing group not authorized:
                  value:
                    errors:
                      - code: '10010'
                        title: Authorization Failed
                        detail: >-
                          The specified billing group either does not exist or
                          is not part of your account
                        source:
                          pointer: /billing_group_id
                        meta:
                          url: >-
                            https://developers.telnyx.com/docs/overview/errors/10010
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/numbers_Errors'
              examples:
                Phone numbers must be present:
                  $ref: '#/components/examples/PhoneNumbersMustBePresent'
                Maximum allowed phone numbers:
                  $ref: '#/components/examples/MaximumAllowedPhoneNumbers'
                Minimum allowed phone numbers:
                  $ref: '#/components/examples/MinimumAllowedPhoneNumbers'
                Mixed IDs and E164 values:
                  $ref: '#/components/examples/MixedIdsAndE164Values'
                Phone number ownership:
                  $ref: '#/components/examples/PhoneNumberOwnership'
                Minimum updateable field:
                  value:
                    errors:
                      - code: '10015'
                        title: Bad Request
                        detail: You must provide at least 1 updateable field.
                        source:
                          pointer: /updateable_fields
                        meta:
                          url: >-
                            https://developers.telnyx.com/docs/overview/errors/10015
                Maximum jobs allowed:
                  $ref: '#/components/examples/Maximum20JobsAllowed'
        '500':
          $ref: '#/components/responses/numbers_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.phoneNumbers.jobs.updateBatch({
              phone_numbers: ['1583466971586889004', '+13127367254'],
            });

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.phone_numbers.jobs.update_batch(
                phone_numbers=["1583466971586889004", "+13127367254"],
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.PhoneNumbers.Jobs.UpdateBatch(context.TODO(), telnyx.PhoneNumberJobUpdateBatchParams{\n\t\tPhoneNumbers: []string{\"1583466971586889004\", \"+13127367254\"},\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import com.telnyx.sdk.models.phonenumbers.jobs.JobUpdateBatchParams;

            import
            com.telnyx.sdk.models.phonenumbers.jobs.JobUpdateBatchResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    JobUpdateBatchParams params = JobUpdateBatchParams.builder()
                        .addPhoneNumber("1583466971586889004")
                        .addPhoneNumber("+13127367254")
                        .build();
                    JobUpdateBatchResponse response = client.phoneNumbers().jobs().updateBatch(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response = telnyx.phone_numbers.jobs.update_batch(phone_numbers:
            ["1583466971586889004", "+13127367254"])


            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->phoneNumbers->jobs->updateBatch(
                phoneNumbers: ['1583466971586889004', '+13127367254'],
                filter: [
                  'billingGroupID' => '62e4bf2e-c278-4282-b524-488d9c9c43b2',
                  'connectionID' => '1521916448077776306',
                  'customerReference' => 'customer_reference',
                  'emergencyAddressID' => '9102160989215728032',
                  'hasBundle' => 'has_bundle',
                  'phoneNumber' => 'phone_number',
                  'status' => 'active',
                  'tag' => 'tag',
                  'voiceConnectionName' => [
                    'contains' => 'test',
                    'endsWith' => 'test',
                    'eq' => 'test',
                    'startsWith' => 'test',
                  ],
                  'voiceUsagePaymentMethod' => 'channel',
                ],
                billingGroupID: 'dc8e4d67-33a0-4cbb-af74-7b58f05bd494',
                connectionID: 'dc8e4d67-33a0-4cbb-af74-7b58f05bd494',
                customerReference: 'customer-reference',
                deletionLockEnabled: true,
                externalPin: '123456',
                hdVoiceEnabled: true,
                tags: ['tag'],
                voice: [
                  'callForwarding' => [
                    'callForwardingEnabled' => true,
                    'forwardingType' => 'always',
                    'forwardsTo' => '+13035559123',
                  ],
                  'callRecording' => [
                    'inboundCallRecordingChannels' => 'single',
                    'inboundCallRecordingEnabled' => true,
                    'inboundCallRecordingFormat' => 'wav',
                  ],
                  'callerIDNameEnabled' => true,
                  'cnamListing' => [
                    'cnamListingDetails' => 'example', 'cnamListingEnabled' => true
                  ],
                  'inboundCallScreening' => 'disabled',
                  'mediaFeatures' => [
                    'acceptAnyRtpPacketsEnabled' => true,
                    'rtpAutoAdjustEnabled' => true,
                    't38FaxGatewayEnabled' => true,
                  ],
                  'techPrefixEnabled' => true,
                  'translatedNumber' => '+13035559999',
                  'usagePaymentMethod' => 'pay-per-minute',
                ],
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx phone-numbers:jobs update-batch \
              --api-key 'My API Key' \
              --phone-number "'1583466971586889004'" \
              --phone-number "'+13127367254'"
components:
  schemas:
    PhoneNumbersJobUpdatePhoneNumbersRequest:
      type: object
      required:
        - phone_numbers
      properties:
        phone_numbers:
          type: array
          description: >-
            Array of phone number ids and/or phone numbers in E164 format to
            update. This parameter is required if no filter parameters are
            provided. If you want to update specific numbers rather than all
            numbers matching a filter, you must use this parameter. Each item
            must be either a valid phone number ID or a phone number in E164
            format (e.g., '+13127367254').
          items:
            type: string
        tags:
          type: array
          description: A list of user-assigned tags to help organize phone numbers.
          items:
            type: string
        external_pin:
          type: string
          description: >-
            If someone attempts to port your phone number away from Telnyx and
            your phone number has an external PIN set, we will attempt to verify
            that you provided the correct external PIN to the winning carrier.
            Note that not all carriers cooperate with this security mechanism.
        customer_reference:
          type: string
          description: A customer reference string for customer look ups.
          example: MY REF 001
        connection_id:
          type: string
          description: Identifies the connection associated with the phone number.
        billing_group_id:
          type: string
          description: Identifies the billing group associated with the phone number.
        hd_voice_enabled:
          type: boolean
          description: >-
            Indicates whether to enable or disable HD Voice on each phone
            number. HD Voice is a paid feature and may not be available for all
            phone numbers, more details about it can be found in the Telnyx
            support documentation.
        deletion_lock_enabled:
          type: boolean
          description: >-
            Indicates whether to enable or disable the deletion lock on each
            phone number. When enabled, this prevents the phone number from
            being deleted via the API or Telnyx portal.
        voice:
          $ref: '#/components/schemas/UpdatePhoneNumberVoiceSettingsRequest'
      example:
        phone_numbers:
          - '1583466971586889004'
          - '+13127367254'
        tags:
          - tag
        external_pin: '123456'
        customer_reference: customer-reference
        connection_id: dc8e4d67-33a0-4cbb-af74-7b58f05bd494
        billing_group_id: dc8e4d67-33a0-4cbb-af74-7b58f05bd494
        deletion_lock_enabled: true
        voice:
          call_forwarding:
            call_forwarding_enabled: true
            forwards_to: '+13035559123'
            forwarding_type: always
    PhoneNumbersJob:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 42587e44-3a3e-46de-9255-0c9a7a1d1ec7
          description: Identifies the resource.
          readOnly: true
        record_type:
          type: string
          example: phone_numbers_job
          description: Identifies the type of the resource.
          readOnly: true
        status:
          type: string
          enum:
            - pending
            - in_progress
            - completed
            - failed
            - expired
          default: pending
          example: pending
          description: Indicates the completion status of the background update.
          readOnly: true
        type:
          type: string
          enum:
            - update_emergency_settings
            - delete_phone_numbers
            - update_phone_numbers
          example: update_emergency_settings
          description: Identifies the type of the background job.
          readOnly: true
        etc:
          type: string
          format: date-time
          description: >-
            ISO 8601 formatted date indicating when the estimated time of
            completion of the background job.
          readOnly: true
        created_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was created.
          readOnly: true
        updated_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was updated.
          readOnly: true
        phone_numbers:
          type: array
          items:
            $ref: '#/components/schemas/PhoneNumbersJobPhoneNumber'
            description: The unique phone numbers given as arguments in the job creation.
        successful_operations:
          type: array
          items:
            $ref: '#/components/schemas/PhoneNumbersJobSuccessfulOperation'
            description: The phone numbers successfully updated.
          readOnly: true
        pending_operations:
          type: array
          items:
            $ref: '#/components/schemas/PhoneNumbersJobPendingOperation'
            description: >-
              The phone numbers pending confirmation on update results. Entries
              in this list are transient, and will be moved to either
              successful_operations or failed_operations once the processing is
              done.
          readOnly: true
        failed_operations:
          type: array
          items:
            $ref: '#/components/schemas/PhoneNumbersJobFailedOperation'
          readOnly: true
      example:
        id: 42587e44-3a3e-46de-9255-0c9a7a1d1ec7
        record_type: phone_numbers_job
        status: pending
        type: update_emergency_settings
        etc: '2020-10-30T18:10:00.000Z'
        created_at: '2020-10-23T18:10:00.000Z'
        updated_at: '2020-10-23T18:10:01.000Z'
        phone_numbers:
          - id: '2637816387126861836'
          - phone_number: '+19715555098'
          - phone_number: '+19705555099'
          - id: '3388768018273'
        successful_operations:
          - id: '2637816387126861836'
            phone_number: '+19705555098'
          - id: '33081887126861836'
            phone_number: '+19715555098'
        pending_operations:
          - id: '2637816387126861837'
            phone_number: '+19705555099'
        failed_operations:
          - id: '3388768018273'
            phone_number: '+19705551234'
            errors:
              - code: '10015'
                title: Bad Request
                detail: The field is invalid.
                source:
                  pointer: /emergency_address_id
    numbers_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/numbers_Error'
      type: object
    UpdatePhoneNumberVoiceSettingsRequest:
      type: object
      properties:
        tech_prefix_enabled:
          type: boolean
          default: false
          description: Controls whether a tech prefix is enabled for this phone number.
        translated_number:
          type: string
          description: >-
            This field allows you to rewrite the destination number of an
            inbound call before the call is routed to you. The value of this
            field may be any alphanumeric value, and the value will replace the
            number originally dialed.
        caller_id_name_enabled:
          type: boolean
          default: false
          description: >-
            Controls whether the caller ID name is enabled for this phone
            number.
        call_forwarding:
          $ref: '#/components/schemas/CallForwarding'
        cnam_listing:
          $ref: '#/components/schemas/CnamListing'
        usage_payment_method:
          type: string
          enum:
            - pay-per-minute
            - channel
          default: pay-per-minute
          description: >-
            Controls whether a number is billed per minute or uses your
            concurrent channels.
        media_features:
          $ref: '#/components/schemas/MediaFeatures'
        call_recording:
          $ref: '#/components/schemas/CallRecording'
        inbound_call_screening:
          type: string
          enum:
            - disabled
            - reject_calls
            - flag_calls
          default: disabled
          description: >-
            The inbound_call_screening setting is a phone number configuration
            option variable that allows users to configure their settings to
            block or flag fraudulent calls. It can be set to disabled,
            reject_calls, or flag_calls. This feature has an additional
            per-number monthly cost associated with it.
      example:
        tech_prefix_enabled: true
        translated_number: '+13035559999'
        caller_id_name_enabled: true
        call_forwarding:
          call_forwarding_enabled: true
          forwards_to: '+13035559123'
          forwarding_type: always
        cnam_listing:
          cnam_listing_enabled: true
          cnam_listing_details: example
        usage_payment_method: pay-per-minute
        media_features:
          rtp_auto_adjust_enabled: true
          accept_any_rtp_packets_enabled: true
          t38_fax_gateway_enabled: true
        call_recording:
          inbound_call_recording_enabled: true
          inbound_call_recording_format: wav
          inbound_call_recording_channels: single
        inbound_call_screening: disabled
    PhoneNumbersJobPhoneNumber:
      properties:
        phone_number:
          type: string
          description: The phone number in e164 format.
          example: '+19705555000'
        id:
          type: string
          description: The phone number's ID
      type: object
    PhoneNumbersJobSuccessfulOperation:
      properties:
        phone_number:
          type: string
          description: The phone number in e164 format.
        id:
          type: string
          description: The phone number's ID
      type: object
    PhoneNumbersJobPendingOperation:
      properties:
        phone_number:
          type: string
          description: The phone number in e164 format.
        id:
          type: string
          description: The phone number's ID
      type: object
    PhoneNumbersJobFailedOperation:
      properties:
        phone_number:
          type: string
          description: The phone number in e164 format.
        id:
          type: string
          description: The phone number's ID
        errors:
          type: array
          items:
            $ref: '#/components/schemas/numbers_Error'
      type: object
    numbers_Error:
      properties:
        code:
          type: string
          example: '10007'
        title:
          type: string
          example: Unexpected error
        detail:
          type: string
          example: An unexpected error occured.
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              example: /base
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          properties:
            url:
              type: string
              description: URL with additional information on the error.
              example: https://developers.telnyx.com/docs/overview/errors/10015
      type: object
    CallForwarding:
      description: The call forwarding settings for a phone number.
      type: object
      properties:
        call_forwarding_enabled:
          type: boolean
          default: true
          description: >-
            Indicates if call forwarding will be enabled for this number if
            forwards_to and forwarding_type are filled in. Defaults to true for
            backwards compatibility with APIV1 use of numbers endpoints.
          example: true
        forwards_to:
          type: string
          description: >-
            The phone number to which inbound calls to this number are
            forwarded. Inbound calls will not be forwarded if this field is left
            blank. If set, must be a +E.164-formatted phone number.
        forwarding_type:
          type: string
          description: >-
            Call forwarding type. 'forwards_to' must be set for this to have an
            effect.
          enum:
            - always
            - on-failure
          example: always
      example:
        call_forwarding_enabled: true
        forwards_to: '+13035559123'
        forwarding_type: always
    CnamListing:
      description: The CNAM listing settings for a phone number.
      type: object
      properties:
        cnam_listing_enabled:
          type: boolean
          default: false
          description: >-
            Enables CNAM listings for this number. Requires cnam_listing_details
            to also be set.
        cnam_listing_details:
          type: string
          description: >-
            The CNAM listing details for this number. Must be alphanumeric
            characters or spaces with a maximum length of 15. Requires
            cnam_listing_enabled to also be set to true.
      example:
        cnam_listing_enabled: true
        cnam_listing_details: example
    MediaFeatures:
      description: The media features settings for a phone number.
      type: object
      properties:
        rtp_auto_adjust_enabled:
          type: boolean
          default: true
          description: >-
            When RTP Auto-Adjust is enabled, the destination RTP address port
            will be automatically changed to match the source of the incoming
            RTP packets.
        accept_any_rtp_packets_enabled:
          type: boolean
          default: false
          description: >-
            When enabled, Telnyx will accept RTP packets from any customer-side
            IP address and port, not just those to which Telnyx is sending RTP.
        t38_fax_gateway_enabled:
          type: boolean
          default: false
          description: >-
            Controls whether Telnyx will accept a T.38 re-INVITE for this phone
            number. Note that Telnyx will not send a T.38 re-INVITE; this option
            only controls whether one will be accepted.
      example:
        rtp_auto_adjust_enabled: true
        accept_any_rtp_packets_enabled: true
        t38_fax_gateway_enabled: true
    CallRecording:
      description: The call recording settings for a phone number.
      type: object
      properties:
        inbound_call_recording_enabled:
          type: boolean
          default: false
          description: When enabled, any inbound call to this number will be recorded.
        inbound_call_recording_format:
          type: string
          enum:
            - wav
            - mp3
          default: wav
          description: The audio file format for calls being recorded.
        inbound_call_recording_channels:
          type: string
          enum:
            - single
            - dual
          default: single
          description: >-
            When using 'dual' channels, final audio file will be stereo recorded
            with the first leg on channel A, and the rest on channel B.
      example:
        inbound_call_recording_enabled: true
        inbound_call_recording_format: wav
        inbound_call_recording_channels: single
  responses:
    numbers_BadRequestResponse:
      description: >-
        Bad request, the request was unacceptable, often due to missing a
        required parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
          examples:
            Authentication Failed:
              value:
                errors:
                  - code: '10009'
                    title: Authentication failed
                    detail: Could not understand the provided credentials.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10009
    numbers_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
  examples:
    NotAuthorized:
      value:
        errors:
          - code: '10006'
            title: Not authorized
            detail: You are not authorized to access the requested resource.
            meta:
              url: https://developers.telnyx.com/docs/overview/errors/10006
    PhoneNumbersMustBePresent:
      value:
        errors:
          - code: '10015'
            title: Bad Request
            detail: must be present
            source:
              pointer: /phone_numbers
            meta:
              url: https://developers.telnyx.com/docs/overview/errors/10015
    MaximumAllowedPhoneNumbers:
      value:
        errors:
          - code: '10015'
            title: Bad Request
            detail: 1000 numbers is the maximum allowed.
            source:
              pointer: /phone_numbers
            meta:
              url: https://developers.telnyx.com/docs/overview/errors/10015
    MinimumAllowedPhoneNumbers:
      value:
        errors:
          - code: '10015'
            title: Bad Request
            detail: You must provide at least 1 phone number.
            source:
              pointer: /phone_numbers
            meta:
              url: https://developers.telnyx.com/docs/overview/errors/10015
    MixedIdsAndE164Values:
      value:
        errors:
          - code: '10015'
            title: Bad Request
            detail: >-
              You must specify either all phone numbers in the e164 format or
              all as phone number ids
            source:
              pointer: /phone_numbers
            meta:
              url: https://developers.telnyx.com/docs/overview/errors/10015
    PhoneNumberOwnership:
      value:
        errors:
          - code: '10015'
            title: Bad Request
            detail: You must own every number in the bulk request
            source:
              pointer: /phone_numbers
            meta:
              url: https://developers.telnyx.com/docs/overview/errors/10015
    Maximum20JobsAllowed:
      value:
        errors:
          - code: '10015'
            title: Bad Request
            detail: You can have at most 20 pending or in progress jobs
            source:
              pointer: /base
            meta:
              url: https://developers.telnyx.com/docs/overview/errors/10015
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````